/gleap-engagement-outbound | Type: Application | PCID required: Yes
Tools
gleap_engagement_outbound_create_banner
Create a new banner Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"project",
"body"
]
}
gleap_engagement_outbound_create_chat_message
Create a new chat message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"project",
"body"
]
}
gleap_engagement_outbound_create_engagement_email
Create a new email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"project",
"body"
]
}
gleap_engagement_outbound_create_engagement_push_notification
Create a new push notification Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"project",
"body"
]
}
gleap_engagement_outbound_create_whatsapp_message
Create a new whatsapp message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"project",
"body"
]
}
gleap_engagement_outbound_delete_banner
Delete an banner Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
bannerId | string | Yes | — | Banner Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"bannerId": {
"type": "string",
"description": "Banner Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"bannerId",
"project"
]
}
gleap_engagement_outbound_delete_chat_message
Delete an chat message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
chatMessageId | string | Yes | — | Chat Message Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"chatMessageId": {
"type": "string",
"description": "Chat Message Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"chatMessageId",
"project"
]
}
gleap_engagement_outbound_delete_email
Delete an email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
engagementEmailId | string | Yes | — | Engagement Email Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"engagementEmailId": {
"type": "string",
"description": "Engagement Email Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"engagementEmailId",
"project"
]
}
gleap_engagement_outbound_delete_push_notification
Delete a push notification Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pushNotificationId | string | Yes | — | Push Notification Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pushNotificationId": {
"type": "string",
"description": "Push Notification Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"pushNotificationId",
"project"
]
}
gleap_engagement_outbound_delete_whatsapp_message
Delete a whatsapp message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
whatsappMessageId | string | Yes | — | Whatsapp Message Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"whatsappMessageId": {
"type": "string",
"description": "Whatsapp Message Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"whatsappMessageId",
"project"
]
}
gleap_engagement_outbound_get_banner
Get an banner Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
bannerId | string | Yes | — | Banner Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"bannerId": {
"type": "string",
"description": "Banner Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"bannerId",
"project"
]
}
gleap_engagement_outbound_get_banners
Get all banners Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"project"
]
}
gleap_engagement_outbound_get_chat_message
Get an chat message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
chatMessageId | string | Yes | — | Chat Message Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"chatMessageId": {
"type": "string",
"description": "Chat Message Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"chatMessageId",
"project"
]
}
gleap_engagement_outbound_get_chat_messages
Get all chat messages Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"project"
]
}
gleap_engagement_outbound_get_email
Get an email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
engagementEmailId | string | Yes | — | Engagement Email Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"engagementEmailId": {
"type": "string",
"description": "Engagement Email Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"engagementEmailId",
"project"
]
}
gleap_engagement_outbound_get_emails
Get all emails Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"project"
]
}
gleap_engagement_outbound_get_push_notification
Get a push notification Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pushNotificationId | string | Yes | — | Push Notification Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pushNotificationId": {
"type": "string",
"description": "Push Notification Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"pushNotificationId",
"project"
]
}
gleap_engagement_outbound_get_push_notifications
Get all push notification Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"project"
]
}
gleap_engagement_outbound_get_whatsapp_message
Get a whatsapp message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
whatsappMessageId | string | Yes | — | Whatsapp Message Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"whatsappMessageId": {
"type": "string",
"description": "Whatsapp Message Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"whatsappMessageId",
"project"
]
}
gleap_engagement_outbound_get_whatsapp_messages
Get all whatsapp message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"project"
]
}
gleap_engagement_outbound_send_email_preview
Send email preview Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
engagementEmailId | string | Yes | — | Engagement Email Id |
project | string | Yes | — | The project value |
emails | string[] | Yes | — | The emails value |
lang | string | No | — | The lang value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"engagementEmailId": {
"type": "string",
"description": "Engagement Email Id"
},
"project": {
"type": "string",
"description": "The project value"
},
"emails": {
"type": "array",
"items": {
"type": "string"
},
"description": "The emails value"
},
"lang": {
"type": "string",
"description": "The lang value"
}
},
"required": [
"PCID",
"engagementEmailId",
"project",
"emails"
]
}
gleap_engagement_outbound_send_whatsapp_template_message
Send a whatsapp template message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
channelId | string | Yes | — | The WhatsApp channel ID from your project |
customValues | object | No | — | Construct a type with a set of properties K of type T |
languageCode | string | No | — | Language code (e.g. “en_US”). Falls back to the contact’s language or “en_US” |
templateName | string | Yes | — | Name of the WhatsApp template registered with Meta |
to | string | Yes | — | Recipient phone number (E.164 format, e.g. “+14155552671”) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"channelId": {
"type": "string",
"description": "The WhatsApp channel ID from your project"
},
"customValues": {
"type": "object",
"description": "Construct a type with a set of properties K of type T"
},
"languageCode": {
"type": "string",
"description": "Language code (e.g. \"en_US\"). Falls back to the contact's language or \"en_US\""
},
"templateName": {
"type": "string",
"description": "Name of the WhatsApp template registered with Meta"
},
"to": {
"type": "string",
"description": "Recipient phone number (E.164 format, e.g. \"+14155552671\")"
}
},
"required": [
"PCID",
"project",
"channelId",
"templateName",
"to"
]
}
gleap_engagement_outbound_update_banner
Update an banner Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
bannerId | string | Yes | — | Banner Id |
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"bannerId": {
"type": "string",
"description": "Banner Id"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"bannerId",
"project",
"body"
]
}
gleap_engagement_outbound_update_chat_message
Update an chat message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
chatMessageId | string | Yes | — | Chat Message Id |
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"chatMessageId": {
"type": "string",
"description": "Chat Message Id"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"chatMessageId",
"project",
"body"
]
}
gleap_engagement_outbound_update_engagement_email
Update an email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
engagementEmailId | string | Yes | — | Engagement Email Id |
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"engagementEmailId": {
"type": "string",
"description": "Engagement Email Id"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"engagementEmailId",
"project",
"body"
]
}
gleap_engagement_outbound_update_engagement_push_notification
Update a push notification Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pushNotificationId | string | Yes | — | Push Notification Id |
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pushNotificationId": {
"type": "string",
"description": "Push Notification Id"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"pushNotificationId",
"project",
"body"
]
}
gleap_engagement_outbound_update_whatsapp_message
Update a whatsapp message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
whatsappMessageId | string | Yes | — | Whatsapp Message Id |
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"whatsappMessageId": {
"type": "string",
"description": "Whatsapp Message Id"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"whatsappMessageId",
"project",
"body"
]
}

